gnome-screensaver restores default color-correction settings

Bug #33214 reported by Matti Lindell on 2006-03-01
70
This bug affects 4 people
Affects Status Importance Assigned to Milestone
GNOME Screensaver
Fix Released
Low
gnome-screensaver (Ubuntu)
Medium
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
Nominated for Intrepid by Forest
Hardy
Medium
Unassigned
nvidia-settings (Ubuntu)
Undecided
Unassigned
Declined for Gutsy by Henrik Nilsen Omma
Nominated for Intrepid by Forest
Hardy
Undecided
Unassigned

Bug Description

I've defined custom settings for Brightness, Contrast and Gamma
using Nvidia X Server Settings (nvidia-settings) for my LCD panel.

When gnome-screensaver kicks in, it restores the settings to
monitor default(?) and never sets them back to custom when
screensaver quits.

Hezekiah Carty (hez) wrote :

This seems to be a general problem with gnome-screensaver. It resets the LCD brightness on my laptop as well.

Perhaps the two are related and a sign of some other, bigger problem?

Matti Lindell (mlind) wrote :

This doesn't happen with xscreensaver.

Matt Zimmerman (mdz) on 2006-04-05
Changed in gnome-screensaver:
assignee: nobody → ogra
Simon Law (sfllaw) on 2006-04-27
Changed in gnome-screensaver:
status: Unconfirmed → Confirmed
Martin Andersen (msandersen) wrote :

Confirmed here too with CRT monitor. Whether I set Gamma with xgamma in the terminal or use the nVidia control, once the gnome screensaver kicks in, it resets it to the default (1), even though xgamma still reflects the values I set. If I open the nvidia control again, or retype the xgamma, the correct gamma is set once again.

Changed in gnome-screensaver:
status: Unknown → Confirmed
Øyvind Stegard (oyvinst) wrote :

The gamma-fading hack of gnome-screensaver breaks terribly with the latest fglrx driver (8.37.6) from AMD/ATI on my hardware. Fading does not work and gamma is reset to 0.1, which is the lowest possible. To fix it, one must manually run "xgamma -gamma 1" after gnome-screensaver has done its fabulous fading-trick. Going to hack gnome-screensaver source code and disable the fading all-together.

Guillermo Jano (guillermo-jano) wrote :

The fglrx/gamma issue can be solved temporarily by rebuilding the package --without-xf86gamma-ext. If the problem persists with future fglrx releases (as of 8.40.4 it's still there), maybe a gconf /apps/gnome-screensaver/fade boolean key should be created so there is a simpler way to disable fading for power users. By the way, I think this particular (gamma) issue should be reported as a separate bug.

Savvas Radevic (medigeek) wrote :

this is still occuring in Ubuntu Gutsy Gibbon 7.10 beta, it's especially problematic for fullscreen games like enemy territory.
I have the nvidia driver and the screensaver looks like it activates even though an application is running.

James Schriver (dashua) wrote :

I'm having the same issues here with an Nvidia 7600 GS 512 MB RAM, Gutsy 7.10 beta with latest updates. As soon as the screen begins to fade before activating gnome-screensaver nvidia-settings reset losing gamma, brightness, and contrast.

John Bryant (bryantk) wrote :

I made a patch you can find here:

http://bugzilla.gnome.org/show_bug.cgi?id=342850

I'm not sure if there's a thread safety issue, so it might get updated soon.

Savvas Radevic (medigeek) wrote :

So this is resolved, as I've read at http://bugzilla.gnome.org/show_bug.cgi?id=342850 ?
I'll turn on my screensaver and check enemy-territory

Savvas Radevic (medigeek) wrote :

just to let you know, it's still a problem

James Schriver (dashua) wrote :

I'm not sure if Novell/Suse issued a patch for this, but openSUSE is the ONLY distro than this does not effect. I'm not sure a patch can be pulled from that but it works with no regression or problems. I know Gentoo pushed a patch in their build, but I have not used that distro in some time.

Pacho Ramos (pacho) wrote :

It works fine on gentoo ;-)

yaztromo (tromo) wrote :

Will a patch be included in Hardy? I've had to use xlock to circumvent this ever since using Ubuntu.

James Schriver (dashua) wrote :

ArchLinux has just released a patch as well and it works great. Would be nice to see this old bug squashed once and for all in Hardy.

Changed in gnome-screensaver:
status: Confirmed → Fix Released
Zer0Nin3r (zer0nin3r) wrote :

Been experiencing the same problem since 7.10. Usually just have to 'alt-F2' 'nvidia-settings -l' to revert back to my settings. Would be nice to see a fix.

James Schriver (dashua) wrote :

I've installed that patch on my Dell XPS m1530 laptop and my Desktop running Ubuntu 8.04 Hardy Heron. It works flawlessly. Nvidia-settings no longer reset after gnome-screensaver is activated.

Scott Wegner (swegner) wrote :

FYI, still having this problem on Hardy. Using nvidia card with custom brightness/contrast settings defined via nvidia-settings. Whenever gnome-screensaver turns on, the settings are lost. running 'nvidia-settings -l' will restore them, but obviously this isn't a solution.

Steve Jackson (aearenda) wrote :

This is a problem for me too with nvidia-settings on Hardy.

Marcello Desantis (m-desantis) wrote :

Having the same problem on Hardy, I wrote a tiny perl script which listen to session state change events and executes 'nvidia-settings -l' every time the session is activated. I made Gnome start (and stop) the script adding an item for it in System->Preferences->Sessions.

See attachment.

James Schriver (dashua) wrote :

Hopefully, the patch will be added to the next gnome-screensaver build. The patch has already been accepted upstream (Rev 1439).

http://bugzilla.gnome.org/show_bug.cgi?id=342850

Matti Lindell (mlind) wrote :

Would this go through as a SRU ?

James Schriver (dashua) wrote :

I would hope. I've been using the patch for a few weeks now with no issues. I just rebuilt gnome-screensaver and added the patch. I see no regressions thus far. This is much better than losing your gamma, color, contrast, brightness, etc., everytime gnome-screensaver activates. Well, at worst case scenerio you'll just have to wait until October.

Savvas Radevic (medigeek) wrote :

this is targetted for hardy, the package maintainer should take a look at it soon

Forest (foresto) wrote :

This is a problem not only for gamma settings, but also for color calibration settings. I have to run xcalib again every time gnome-screensaver. Very irritating for those of us with properly calibrated displays.

huiii (a00ps) wrote :

my gnome-screensaver won't get dark, it stops half way.
btw: this application s*cks big time and resources when glitz-apps running, you can see gnome-screensaver going up with cpu-usage to around 20%,
it is simply irritating and the best way to save screens, i thought, is to switch them off / put them to sleep, especially on laptops, regarding batt-life.

Zoubidoo (zoubidoo) wrote :

Problem still exists in up-to-date hardy. Is there an update on the way?

James Schriver (dashua) wrote :

This should be backported from Intrepid. The bug is gone.

NoOp (glgxg) wrote :

No. The bug is still present. Gamma settings are lost with screensaver, logout/login/reboot.

Hardy: 2.6.24-22-generic #1 SMP Mon Nov 24 18:32:42 UTC 2008 i686 GNU/Linux
NVIDIA Driver Version: 96.43.05
Server Version: 11.0
http://packages.ubuntu.com/hardy-updates/nvidia-settings
Package: nvidia-settings (1.0+20080304-0ubuntu1.1) [universe]

This bug is not yet fixed in ubuntu, even in Ubuntu 9.04 alpha 2.
I tested this today. It is however fixed in gnome-screensaver 0.25. Ubuntu 9.04 has gnome-screensaver 0.24.

My test is done with argyllcms. Se attached txt file.

Bryce Harrington (bryce) wrote :

[This is an automated message]

Hi mlind,

Please attach the output of `lspci -vvnn` too.

Changed in nvidia-settings:
status: New → Incomplete
Bryce Harrington (bryce) wrote :

We're closing this bug since it is has been some time with no response from the original reporter. However, if the issue still exists please feel free to reopen with the requested information. Also, if you could, please test against the latest development version of Ubuntu, since this confirms the bug is one we may be able to pass upstream for help.

Changed in nvidia-settings:
status: Incomplete → Invalid
NoOp (glgxg) wrote :

Why? You've been advised that the bug still exists in Hardy:
https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/33214/comments/28

Please reopen the bug until a fix is provided. Users should not have to try a 'latest development version of Ubuntu', particularly since Hardy is an LTS release.

01:00.0 VGA compatible controller [0300]: nVidia Corporation NV25GL [Quadro4 900 XGL] [10de:0258] (rev a3) (prog-if 00 [VGA controller])
 Subsystem: nVidia Corporation Unknown device [10de:0138]
 Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 248 (1250ns min, 250ns max)
 Interrupt: pin A routed to IRQ 19
 Region 0: Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
 Region 1: Memory at d0000000 (32-bit, prefetchable) [size=128M]
 Region 2: Memory at dc780000 (32-bit, prefetchable) [size=512K]
 [virtual] Expansion ROM at fe9e0000 [disabled] [size=128K]
 Capabilities: [60] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [44] AGP version 2.0
  Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans- 64bit- FW+ AGP3- Rate=x1,x2,x4
  Command: RQ=32 ArqSz=0 Cal=0 SBA- AGP+ GART64- 64bit- FW- Rate=x4

Sridhar Dhanapalan (sridhar) wrote :

I'm still seeing the problem in 8.10.

Oliver Grawert (ogra) on 2009-06-25
Changed in gnome-screensaver (Ubuntu):
assignee: Oliver Grawert (ogra) → nobody
Changed in gnome-screensaver (Ubuntu Hardy):
assignee: Oliver Grawert (ogra) → nobody
Changed in gnome-screensaver:
importance: Unknown → Low
Amael (amael) wrote :

Hello,

I'm affected by this bug in Ubuntu Natty 11.04 (problem was also present un 10.10).
My Nvidia brightness settings are lost every time I reboot my computer and every time the screensaver goes on. I have to launch Nvidia X Server settings to correct my display. Just launching/quitting it, without touching any parameter.

I found a thread talking about this problem (french), so I know that we aren't only 3 persons affected :
http://forum.ubuntu-fr.org/viewtopic.php?id=218111

Some informations about my system :

amael@amserv:~$ /usr/lib/nux/unity_support_test -p
OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce 210/PCI/SSE2
OpenGL version string: 3.3.0 NVIDIA 270.41.06

Not software rendered: yes
Not blacklisted: yes
GLX fbconfig: yes
GLX texture from pixmap: yes
GL npot or rect textures: yes
GL vertex program: yes
GL fragment program: yes
GL vertex buffer object: yes
GL framebuffer object: yes
GL version is 1.4+: yes

Unity supported: yes

amael@amserv:~$ sudo lshw -C display
  *-display
       description: VGA compatible controller
       product: GT218 [GeForce 210]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a2
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:16 memory:f6000000-f6ffffff memory:e0000000-efffffff memory:f2000000-f3ffffff ioport:cc00(size=128) memory:f7e00000-f7e7ffff

Amael (amael) wrote :

Hello again,

after further investigation, it wasn't gnome-screensaver resetting my nvidia settings but totem.

Found this bug and can reproduce it manually :
https://bugs.launchpad.net/ubuntu/+source/totem/+bug/512493

shankao (shankao) wrote :

Thank you for reporting this bug to Ubuntu. Hardy reached EOL on May 9, 2013.
See this document for currently supported Ubuntu releases: https://wiki.ubuntu.com/Releases

Changed in nvidia-settings (Ubuntu Hardy):
status: New → Invalid
Changed in gnome-screensaver (Ubuntu Hardy):
status: Confirmed → Invalid
shankao (shankao) wrote :

Is this problem still present in any of the currently supported Ubuntu releases?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.